<%@ Page Title="Home Page" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="Default.aspx.cs" ValidateRequest="false" Inherits="GcPdfViewerSupportApiDemo._Default" %>

<asp:Content ID="BodyContent" ContentPlaceHolderID="MainContent" runat="server">
<link href="https://cdn.materialdesignicons.com/5.0.45/css/materialdesignicons.min.css" rel="stylesheet">
<style>
    html, body, body > form, .body-content {
        height: 100%;
        width: 100%;
    }
    #host {
        padding: 60px 20px 20px 10px;
    }
@media (max-width:500px) {
    #host {
        padding: 50px 0px 0px 0px;
    }
    .body-content {
        padding-left: 0px;
        padding-right: 0px;
    }
}
</style>

<div id="host"></div>
<script src="https://code.jquery.com/jquery-3.6.0.min.js" integrity="sha256-/xUj+3OJU5yExlq6GSYGSHk7tPXikynS7ogEvDej/m4=" crossorigin="anonymous"></script>
<script src="scripts/lib/pdfviewer/build/gcpdfviewer.js?ts=20230407-01"></script>
<script id="js-sample-code">

function createPdfViewer(selector, baseOptions) {
    var options = baseOptions || {};    
    if(!options.supportApi) {
        options.supportApi = {
            apiUrl: (window.__baseUrl || '') + 'support-api/gc-pdf-viewer',
            token: window.afToken || '',
            webSocketUrl: (window.__baseUrl || '') + 'signalr',
            suppressInfoMessages: true, suppressErrorMessages: true
        };
    }
    options.editorDefaults = {
           inkAnnotation: {
               borderStyle: { width: 3, style: 1 },
               color: '#ff9800'
           },
           squareAnnotation: {
               borderStyle: { width: 5, style: 2, dashArray: [8, 4] },
               color: '#000000',
               interiorColor: '#f44336'
           },
           circleAnnotation: {
               borderStyle: { width: 2, style: 1 },
               color: '#2196f3',
               interiorColor: '#fff9c8'
           },
           lineAnnotation: {
               borderStyle: { width: 2, style: 1 },
               color: '#4caf50',
               interiorColor: '#2196f3',
               lineStart: 'Circle',
               lineEnd: 'Circle'
           },
           polyLineAnnotation: {
               borderStyle: { width: 2, style: 1 },
               color: '#000000',
               interiorColor: '#f44336',
               lineStart: 'Diamond',
               lineEnd: 'ClosedArrow'
           },
           polygonAnnotation: {
               borderStyle: { width: 5, style: 1 },
               color: '#ff0000',
               interiorColor: '#faa19b'
           },
    };
    var viewer = new GcPdfViewer(selector, options);    
    viewer.addDefaultPanels();
    viewer.addAnnotationEditorPanel();
    viewer.layoutMode = 1;
    // Configure toolbar buttons:    
    viewer.toolbarLayout.viewer = { 
        default: ['open', 'save', '$navigation', '$split', 'text-selection', 'pan', '$zoom', '$fullscreen', 'download', 'print', 'rotate', 'view-mode', 'hide-annotations', 'doc-properties', 'about'], 
        mobile: ['open', 'save', '$navigation', '$split', 'text-selection', 'pan', '$zoom', '$fullscreen', 'download', 'print', 'rotate', 'view-mode', 'hide-annotations', 'doc-properties', 'about'], 
        fullscreen: ['$fullscreen', 'open', 'save', '$navigation', '$split', 'text-selection', 'pan', '$zoom', '$fullscreen', 'download', 'print', 'rotate', 'view-mode', 'hide-annotations', 'doc-properties', 'about'] 
    };
    viewer.toolbarLayout.annotationEditor = { 
        default: ['save', '$split',  'edit-select', '$split', 'edit-ink', 'edit-square', 'edit-circle', 'edit-line', 'edit-polyline', 'edit-polygon', '$split', 'edit-erase', '$split', 'edit-undo', 'edit-redo'], 
        mobile: ['save', '$split',  'edit-select', '$split', 'edit-ink', 'edit-square', 'edit-circle', 'edit-line', 'edit-polyline', 'edit-polygon', '$split', 'edit-erase', '$split', 'edit-undo', 'edit-redo'], 
        fullscreen: ['$fullscreen', 'save', '$split',  'edit-select', '$split', 'edit-ink', 'edit-square', 'edit-circle', 'edit-line', 'edit-polyline', 'edit-polygon', '$split', 'edit-erase', '$split', 'edit-undo', 'edit-redo'] 
    };
    viewer.applyToolbarLayout();
    viewer.applyOptions();
    return viewer;
}

    function getHashValue(key) { var matches = location.hash.match(new RegExp(key + '=([^&]*)')); return matches ? matches[1] : null; }
    var viewer;
    var options = {
        workerSrc: 'scripts/lib/pdfviewer/build/gcpdfviewer.worker.js',
        supportApi: {
            apiUrl: '/CustomSupportApi',
            token: 'support-api-demo-token',
            legacyServer: true
        },
        userName: getHashValue('user') || 'Anonymous',
        documentListUrl: '/CustomSupportApi/DocumentList',
        logLevel: 'Debug'
    };
    if (window.createPdfViewer) {
        viewer = window.createPdfViewer('#host', options);
    } else {
        if (options.userName === "Anonymous") {
            options.userName = prompt("Please, input your name", options.userName) || "Anonymous";
        }
        viewer = new GcPdfViewer("#host", options);
        viewer.addDefaultPanels();
        viewer.addFormEditorPanel();
        viewer.addAnnotationEditorPanel();
        //viewer.addDocumentListPanel();
        viewer.addSharedDocumentsPanel();
        <%=(GcPdfViewerSupportApiDemo.Utils.GcPdfViewerRenderHelper.RenderOptions(GcPdfViewerSupportApiDemo.Samples.SamplePdfCreator.GetViewerOptions()))%>
        viewer.beforeUnloadConfirmation = true;        
    }
    if(viewer.then) {
        viewer.then(function(resolvedViewer) { 
            viewer = resolvedViewer;
            viewer.open("/CustomSupportApi/GetSamplePdf"); 
        });
    } else {
        viewer.open("/CustomSupportApi/GetSamplePdf");
    }
    // Viewer opened.
</script>

</asp:Content>
